Subject: bug#30788: 27.0.50; Getting 'char-displayable-p: Invalid hash table rehash size: 1.0' when starting emacs -Q

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 May 2018 20:06:37 +0300

> From: Peter Dyballa <[email-masked]>
> Date: Tue, 15 May 2018 16:02:28 +0200
> Cc: [email-masked]
> 
> I started a new attempt. On http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=15fa8de1ae3228413fde95e583008d9b9f19e7c7 I found this number. I patched a MacPorts control file and so port used the command '/usr/bin/git checkout -q 15fa8de1ae3228413fde95e583008d9b9f19e7c7' to fetch the sources. GNU Emacs 27.0.50 could be build, and it shows here on my Mac still the same error with the "Invalid hash table rehash size."
> 
> I also have two X servers installed (actually three). The one is XQuartz 2.7.11, which comes inside an Apple installer package, the other is X11, built from source by port from the sources of the packages xorg-server 1.18.4 or xorg-server-devel 1.19.99.1. What I can observe is that GNU Emacsen 26.x or 27.0.50 built in one X server do *not* run in that X server ("Invalid hash table rehash size"), but they *do* in the other.

Based on previous similar problems, it's some snafu with locale
definitions and some software on your system that resets the locale's
LC_NUMERIC setting, which disrupts the Lisp reader's reading of X.Y
float values.  Does the workaround in

  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30788#26

succeed to solve the problem in your case?